* {
    box-sizing: border-box;
}

body {
    margin: 0;
    background: #999999;
    font-family:  NunitoSans-Light;
    font-size: 16px;
    font-weight: 300;
    text-align: center;
    max-height: 100vh !important;
    max-width: 100vw !important;
    
}

a{
    text-decoration: none;
}

:root {
    --main-color: #b1bf2f;
}

@font-face{
    font-family: NunitoBold;
    src: url('../fonts/nunitosans_bold.ttf');
}

@font-face{
    font-family: NunitoSans-Bold;
    src: url('../fonts/nunitosans_bold.ttf');
}

@font-face{
    font-family: NunitoSans-Light;
    src: url('../fonts/nunitosans_light.ttf');
}

@font-face{
    font-family: NunitoSans-ExtraLight;
    src: url('../fonts/nunitosans_extralight.ttf');
}

@font-face{
    font-family: NunitoSans-SemiBold;
    src: url('../fonts/nunitosans_semibold.ttf');
}

@font-face{
    font-family: NunitoSans-SemiBoldItalic;
    src: url('../fonts/nunitosans_semibolditalic.ttf');
}

@font-face{
    font-family: NunitoSans-ExtraLightItalic;
    src: url('../fonts/nunitosans_extralightitalic.ttf');
}

.textLight{
    font-size: 18px;
    font-family: NunitoSans-Light;
}

.textBold{
    font-size: 18px;
    font-weight: 800;
    font-family: NunitoSans-SemiBold;
}
/* INFO */

.blackBack{
    pointer-events: none;
    position: absolute;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    z-index: 10000;
    background-color: rgba(0, 0, 0, 0.233);
    opacity: 0;
    transition: all 0.3s;
}

.info-wrapper{
    position: absolute;
    pointer-events: none;
    left: 0; 
    right: 0; 
    margin-left: auto; 
    margin-right: auto; 
    top: 0;
    bottom: 0;
    margin-top: auto; 
    margin-bottom: auto;
    width: 640px;
    height: 520px;
    z-index: 100000;
    background-color: rgb(255, 255, 255);
    border-radius: 2px;
    box-shadow: 0px 2px 4px rgba(0, 0, 0, 0.348667);
    opacity: 0;
    transition: all 0.3s;
}

.info-texts-wrapper{
    display: flex;
    flex-direction: column;
    height: 100%;
    width: 100%;
    padding: 20px 20px 20px 20px;
    align-items: flex-start;
    align-content: flex-start;
    justify-content: space-between;
}

.top-info-texts-wrapper{
    width: 100%;
}

.times svg {
    width: 15px;
    height: 15px;
    cursor: pointer;
}

.title{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    width: 100%;
    font-family: NunitoBold;
    font-size: 20px;    
}

.credits{    
    padding-top: 22px;
    font-size: 16px;
}

.copyright{
    font-size: 14px;
}

@media only screen and (max-width: 640px),(max-height: 640px) {
    .info-wrapper{ 
        width: 90%;
        height: fit-content;
    }
    .title{
        font-size: 18px;
    }
    .credits{    
        padding-top: 12px;
        font-size: 14px;
    }
    .copyright{
        padding-top: 5px;
        font-size: 12px;
    }
}
@media only screen and (max-width: 400px), (max-height: 400px) {
    .info-wrapper{ 
        width: 95%;
        height: fit-content;
    }
    .title{
        font-size: 16px;
    }
    .credits{    
        padding-top: 12px;
        font-size: 12px;
    }
    .copyright{
        padding-top: 5px;
        font-size: 10px;
    }
}

/* FIN INFO */

.wrapper {
    position: relative;
    display: inline-block;
    width: 1250px;
    height: 95vh;
    max-width: 100%;
    grid-auto-columns: 100%;
    background: rgb(255, 255, 255);
    text-align: left;
}

.interactiu {
    position: absolute;
    width: 100%;
    height: 100vh;
    float: left;
    background: rgb(255, 255, 255);}

.interactiu.active {
    opacity: 1;
    visibility: visible;
}

#next {
    position: absolute;
    bottom: 0;
    right: -70px;
    width: 50px;
    height: 40px;
    cursor: pointer;
    user-select: none;
}

  
/* INFO */


.info-icon{
    width: 33%;
    background-color: white;
    border-radius: 50%;
    height: auto;
    cursor: pointer;
}
.info-icon:hover{
    outline: rgba(240, 255, 240, 0.568) 4px solid;
}

.wrapper{
    position: relative;
    width: 100%;
    height: 100%;
}

.wrapper:nth-child(2){
    background: rgba(255, 0, 0, 0.2);
}


/* ARQUITECTURA CENTRAL */

.interactiu-wrapper{
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-self: center;
    align-items: center;
    height: 100%;
    width: 100%;
    max-width: 100vw !important;
    max-height: 100vh !important;
    transform-origin: center;
    background-color: #cccccc;
}

.container{
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    width: 83%;
    height: 100%;      
    max-height: 100vh !important;
    max-width: 100vw !important;
    background-color: #cacaca;
}

/*---------HEADER----------*/
.header{
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 7%;  
    background-color: var(--main-color);
    color: white;
    font-size: 1.7em;
    font-family: NunitoSans-SemiBold;
}
@media screen and (max-width: 768px){
    .header{
        font-size: 1em;
    }
}

/*PARTE CENTRAL*/
.parte-central{
    display: flex;
    flex-direction: column;
    width: 100%;
    height: 83%;
    background-color: #fff;
}

.pantalla1{
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    align-items: center;
    width: 100%;
    height: 92%;
}


.central-svg{
    height: 100%;
    width: auto;
}

/* TAB OPCIÓN LIBRE / PRÁCTICA / PONTE A PRUEBA */

.optionDiv{
    display: flex;
    flex-direction: row;
    width: 100% !important;
    height: 6%;
    margin: 0 !important;
}

.btnOptionDiv{
    position: relative;
    background-color: rgb(255, 255, 255);
    font-size: 1em;
    font-weight: bold;
    padding-top:  1%;
    padding-bottom: 1%;
    width: 50%;
    height: 100%;
    border:  none;
    color: grey;
    border-bottom: rgba(177, 191, 47, 0) solid 3px;
}
@media screen and (max-width: 768px){
    .btnOptionDiv{
        font-size: 0.8em;
    }
}

.testdiv{
    background-color: #FEFFA3;
    width: 100%;
    height: 100%;
    padding: 10px;
}

.activeBtnOption{
    border-bottom: rgb(177, 191, 47) solid 3px;
    color: black;
    padding-top: 1%;
}

.ex-central-part{
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 23%;
}

.container-option-selected{
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100%;
    background-color: white;   
    overflow-y: auto;
}

.selectedFree{
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    height: 100%;
    max-height: 30%;
    height: fit-content;
}

.selectedTest{
    display: none;
    flex-direction: column;
    align-items: center;
    width: 100%;
    height: 100%;
    height: fit-content;
}

/*----------Footer----------*/

.footer{
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 10%;    
    background-color: var(--main-color);
}

.footer-left{
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: flex-start;
    padding-left: 3%;
    height: 100%;
    width: 50%;
}

.logo{ /*logo casals*/
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    align-items: center;
    height: 100%;
}

.text-casals{
    margin-left: 2%;
    font-size: 1.5em;
    color: white;
    font-weight: bolder;
}

.footer-right{
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: flex-end;
    padding-right: 3%;
    height: 100%;
    width: 50%;
}
.icon-footer{
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    position: relative;
    margin-left: 1%;
    height: 45%;
    width: 7%;
    background-color: rgba(0, 0, 0, 0.2);    
    cursor: pointer;
}

.info-icon-footer{    
    border-radius: 50%;
}

.btn{
    cursor: pointer;
}

/* ------ ESTILOS DE ELEMENTOS COMUNES A OTROS INTERACTIVOS:: ------ */

/*------------- BOTONES ------------*/
/*
.interactive-button{
    width: fit-content;
    height: fit-content;
    padding: 1%;
    font-size: 1em;
    font-weight: normal !important;
    color: white;
    background-color: #b1bf2f;
    border: none;
    border-radius: 5px;
    box-shadow: #999999;
    box-shadow: 0px 8px 15px rgba(0, 0, 0, 0.1);
}
.interactive-button:hover{ 
    background-color: #9ca82a;
}
*/

/* ------------ SCROLLBAR ------------ */
/*
.container-option-selected::-webkit-scrollbar {
    width: 10px;      
    margin-right: 20px;   
  }  
  .container-option-selected::-webkit-scrollbar-track {
    background: rgba(0, 255, 55, 0);   
  }  
  .container-option-selected::-webkit-scrollbar-thumb {
    background-color: #b1bf2f;   
    border-radius: 20px;        
  }
*/

/* ------------ RADIO BUTTON FORM ------------ */
/*
.container ul{
    list-style: none;
    margin: 0 0 0 20px;
    padding: 0;
    overflow: auto;
}
  
ul li{
    color: #5c5c5c;
    display: block;
    position: relative;
    float: left;
    width: 100%;
    height: fit-content;
}
  
ul li input[type=radio]{
    position: absolute;
    visibility: hidden;
}
  
ul li label{
    display: block;
    position: relative;
    padding: 0 0 0 30px;
    z-index: 9;
    cursor: pointer;
    -webkit-transition: all 0.25s linear;
}
  
ul li:hover label{
    color: #363636;
}
  
ul li .check{
    display: block;
    position: absolute;
    border: 2px solid #b1bf2f;
    border-radius: 100%;
    height: 20px;
    width: 20px;
    margin-top: 2.5px;
    z-index: 5;
    transition: border .25s linear;
    -webkit-transition: border .25s linear;
}
  
ul li:hover .check {
    border: 2px solid #b1bf2f;
}

ul li .check::before {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    content: '';
    border-radius: 100%;
    height: 10px;
    width: 10px;
    margin: 3px 0 0 3px;
    transition: background 0.25s linear;
    -webkit-transition: background 0.25s linear;
}

input[type=radio]:checked ~ .check {
    border: 2px solid #b1bf2f;
}

input[type=radio]:checked ~ .check::before{
    background: #b1bf2f;
}

input[type=radio]:checked ~ label{
    color: #000000;
}
*/

/*LOADER*/

.loader-wrapper{
    position: absolute;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 100vw;
    height: 100vh;
    background-color: #f3f3f3;
    z-index: 1000;
}
  
.circle-wrap {
    margin: 150px auto;
    width: 130px;
    height: 130px;
    background: #fefcff;
    border-radius: 50%;
    border: 1px solid #cdcbd0;
  }
  
  .circle-wrap .circle .mask,
  .circle-wrap .circle .fill {
    width: 130px;
    height: 130px;
    position: absolute;
    border-radius: 50%;
  }
  
  .circle-wrap .circle .mask {
    clip: rect(0px, 130px, 130px, 65px);
  }
  
  .circle-wrap .inside-circle {
    width: 122px;
    height: 122px;
    border-radius: 50%;
    background: #f3f3f3;
    line-height: 120px;
    text-align: center;
    margin-top: 4px;
    margin-left: 4px;
    color: #020202;
    position: absolute;
    z-index: 100;
    font-weight: 700;
    font-size: 2em;
  }
  
  .mask .fill {
    clip: rect(0px, 65px, 130px, 0px);
    background-color: #141414;
  }
  
  .mask.full,
  .circle .fill {
    animation: fill ease-in-out 2s;
    transform: rotate(0deg);
  }
  
  @keyframes fill{
    0% {
      transform: rotate(0deg);
    }
    100% {
      transform: rotate(180deg);
    }
  }


  .inputSvg{
    width: 90%;
    height: 100%;
    font-size: 24px;
  }

  .graphBtn{
    cursor: pointer !important;
  }

  .btn, .element, .zona{
    cursor: pointer;
  }

  .card{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 35%;
    height: 30%;
 
    cursor: pointer;
  }

  .titlec{
    font-family:  NunitoSans-Bold;
    width: 90%;
    text-align: start;
    font-size: 20px;
  }

  .desc{
    font-family: NunitoSans-Light;
    width: 100%;
    text-align: start;
    padding-left: 5%;
  }

  img{
      height: 70%;
      width: auto;
  }


  
.pantalla2{
    display: none;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    width: 100%;
    height: 100%;
    background-color: #fff;
}

.closep{
    width: 90%;
    text-align: end;
    padding-top: 2.5%;
}

.titlep{
    font-family:  NunitoSans-Bold;
    width: fit-content;
    margin-top: 5%;
    font-size: 18px;
  }

  .descp{
    width: 90%;
    text-align: start;
    margin-top: 5%;
  }


  .videop{
    width: 90%;
    height: auto;
    margin-top: 5%;
  }

  .circle{
    background-color: var(--main-color);
    height: 4px;
    width: 4px;
    border-radius: 50%;
    margin-right: 4px;
  }

  .int-circles-wrap{
    display: flex;
    flex-direction: row;
    justify-content: end;
    width: 100%;
    border-top: 1px solid var(--main-color);
    padding-top: 4px;
  }

  .footerWithoutMarks{
    display:none;
    flex-direction: row;
    justify-content: flex-end;
    cursor:pointer;
    position:absolute;
    bottom:-6px;
    right:0px;
    width: 100%;
  }

  .nav{
    width: fit-content;
    cursor: pointer;
  }

  .closep{
    cursor: pointer;
  }











  
.card-row{
    display: flex;
    flex-direction: row;
    justify-content: space-evenly;
    align-self: flex-start;
    align-items: center;
    width: 100%;
    height: 33%;
   
}

/*---------GIRAR---------*/


  
  .cardBox {
    float: left;
    font-size: 1.2em;  
    perspective: 800px;
    transition: all 0.3s ease 0s;
    width: 48%;
    height: 85%;
  }

  .points{
    display: flex;
    flex-direction: row;
    justify-content: end;
    align-items: flex-start;
    width: 98%;
    height: fit-content;
    text-align: start;
    margin-top: 5px;
  
  }

  .point{
    width: 4px;
    height: 4px;
    background-color: var(--main-color);
    border-radius: 50%;
    margin: 0 2px 0 2px;
  }
  /*
  .cardBox:hover .card {
    transform: rotateY( 180deg);
  }
  */
  .card {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    background: #EAE8D8;
    cursor: default;
    height: 100%;
    transform-style: preserve-3d;
    transition: transform 0.4s ease 0s;
    width: 100%;
    -webkit-animation: giro 1s 1;
    animation: giro 1s 1;

  }

  .activeCard{
    transform: rotateY( 180deg);
  }
  
  .card-img{
    object-fit: cover;
    width: 100%;
    height: 80%;
    
  }

  .card-img2{
    width: 90%;
    height: 50%;    
  }

  .title-card{
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;

    width: 100%;
    height: 15%;
    font-weight: 700;
    font-size: 16px;
    line-height: 18px;
    padding-top: 4px;
  }

  .title-card-f{
    justify-content: center;
    text-align: center;
       width: 90%;
  }

  .desc-card{
    width: 100%;
    height: 80%;
    font-size: 16px;
    margin-top: 5%;
  }

  .card p {
    margin-bottom: 0em;
  }
  
  .card .front,
  .card .back {
        display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    backface-visibility: hidden;
    box-sizing: border-box;
    color: #000;
    transform: rotateX(0deg);

    font-size: 1.2em;
    height: 100%;
    position: absolute;
    text-align: start;
    width: 100%;
  
  }
  
  .card .front strong {
        display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background: #fff;
    border-radius: 100%;
    color: #222;
    font-size: 1.5em;
    line-height: 30px;
  }
  
  .card .back {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 90%;
    height: 90%;
    transform: rotateY( 180deg);
  }
  
  .card .back a {
    padding: 0.3em 0.5em;
    background: #333;
    color: #fff;
    text-decoration: none;
    border-radius: 1px;
    font-size: 0.9em;
    transition: all 0.2s ease 0s;
  }
  /*
  .card .back a:hover {
    background: #fff;
    color: #333;
    text-shadow: 0 0 1px #333;
  }
*/
  
  @-webkit-keyframes giro {
    from {
      transform: rotateY( 180deg);
    }
    to {
      transform: rotateY( 0deg);
    }
  }
  
  @keyframes giro {
    from {
      transform: rotateY( 180deg);
    }
    to {
      transform: rotateY( 0deg);
    }
  }
  /*
  @media screen and (max-width: 767px) {
    .cardBox {
      margin-left: 2.8%;
      margin-top: 3%;
      width: 46%;
    }
    .card {
    
    }
    .cardBox:last-child {
      margin-bottom: 3%;
    }
  }
  
  @media screen and (max-width: 480px) {
    .cardBox {
      width: 94.5%;
    }
    .card {
      height: 260px;
    }
  }*/

    /*
  .cardBox:nth-child(1) .card .back {
    background: cornflowerblue;
  }
  
  .cardBox:nth-child(2) .card .back {
    background: orange;
  }
  
  .cardBox:nth-child(3) .card .back {
    background: yellowgreen;
  }
  
  .cardBox:nth-child(4) .card .back {
    background: tomato;
  }
 
  .cardBox:nth-child(2) .card {
    -webkit-animation: giro 1.5s 1;
    animation: giro 1.5s 1;
  }
  
  .cardBox:nth-child(3) .card {
    -webkit-animation: giro 2s 1;
    animation: giro 2s 1;
  }
  
  .cardBox:nth-child(4) .card {
    -webkit-animation: giro 2.5s 1;
    animation: giro 2.5s 1;
  } */

  